Notifications

Notificaciones in-app para los miembros del dashboard.

Base path: /notifications·2 endpoints·Source: mosend-wb-backend/src/modules/notifications/notifications.controller.ts
GET/notifications
bearer

Lista las notificaciones del usuario autenticado.

Respuestas

  • 200
curl -X GET 'https://api.mosend.dev/notifications' \
  -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "createdAt": "2026-05-01T03:42:18.123Z"
    }
  ],
  "timestamp": "2026-05-01T03:42:18.123Z"
}
PATCH/notifications/:id/read
bearer

Marca una notificación como leída.

Path params

  • idstringrequerido

Respuestas

  • 204
curl -X PATCH 'https://api.mosend.dev/notifications/00000000-0000-0000-0000-000000000000/read' \
  -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
  "data": {
    "id": "00000000-0000-0000-0000-000000000000",
    "createdAt": "2026-05-01T03:42:18.123Z"
  },
  "timestamp": "2026-05-01T03:42:18.123Z"
}